<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Course's Administration</title>
    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!--Datatable-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap4.min.js"></script>

    <link rel="stylesheet" href="administration.css">
</head>

<body>
    <div class="container">
        <h1 class="text-center">Courses List</h1>
        <div class="row">
            <button class="btn btn-success" id="add-new-btn"><i class="fas fa-plus"></i>&nbsp; Add a new course</button>
        </div>
        <table id="courses-table" class="table table-striped table-bordered table-hover mt-4">
            <thead class="table-info">
                <tr>
                    <th>No.</th>
                    <th>Course Code</th>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Discount Price</th>
                    <th>Time</th>
                    <th>Level</th>
                    <th>Cover Image</th>
                    <th>Teacher</th>
                    <th>Popular</th>
                    <th>Trending</th>
                    <th>Action</th>
                </tr>
            </thead>
        </table>
    </div>

    <!--Modal Add-->
    <div class="modal" tabindex="-1" role="dialog" id="add-new-course-modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add a new course</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row my-2">
                            <label for="course-code-add-input" class="col-4">Course Code</label>
                            <input id="course-code-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="course-name-add-input" class="col-4">Course Name</label>
                            <input id="course-name-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="price-add-input" class="col-4">Price</label>
                            <input type="number" id="price-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="discount-price-add-input" class="col-4">Discount Price</label>
                            <input type="number" id="discount-price-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="duration-add-input" class="col-4">Duration</label>
                            <input id="duration-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="level-add-select" class="col-4">Level</label>
                            <select id="level-add-select" class="col-8">
                                <option value="Beginner">Beginner</option>
                                <option value="Intermediate">Intermediate</option>
                                <option value="Advanced">Advanced</option>
                            </select>
                        </div>
                        <div class="row my-2">
                            <label for="cover-image-add-input" class="col-4">Cover Image</label>
                            <input id="cover-image-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="teacher-name-add-input" class="col-4">Teacher Name</label>
                            <input id="teacher-name-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="teacher-image-add-input" class="col-4">Teacher Image</label>
                            <input id="teacher-image-add-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="popular-add-input" class="col-4">Popular</label>
                            <input type="checkbox" name="popular" id="popular-add-input" />
                        </div>
                        <div class="row my-2">
                            <label for="trending-add-input" class="col-4">Trending</label>
                            <input type="checkbox" name="trending" id="trending-add-input" />
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" id="create-a-couse-btn">Create</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <!--Modal Edit-->
    <div class="modal" tabindex="-1" role="dialog" id="edit-course-modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row my-2">
                            <label for="course-code-edit-input" class="col-4">Course Code</label>
                            <input id="course-code-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="course-name-edit-input" class="col-4">Course Name</label>
                            <input id="course-name-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="price-edit-input" class="col-4">Price</label>
                            <input type="number" id="price-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="discount-price-edit-input" class="col-4">Discount Price</label>
                            <input type="number" id="discount-price-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="duration-edit-input" class="col-4">Duration</label>
                            <input id="duration-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="level-edit-select" class="col-4">Level</label>
                            <select id="level-edit-select" class="col-8">
                                <option value="Beginner">Beginner</option>
                                <option value="Intermediate">Intermediate</option>
                                <option value="Advanced">Advanced</option>
                            </select>
                        </div>
                        <div class="row my-2">
                            <label for="cover-image-edit-input" class="col-4">Cover Image</label>
                            <input id="cover-image-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="teacher-name-edit-input" class="col-4">Teacher Name</label>
                            <input id="teacher-name-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="teacher-image-edit-input" class="col-4">Teacher Image</label>
                            <input id="teacher-image-edit-input" class="col-8">
                        </div>
                        <div class="row my-2">
                            <label for="popular-edit-input" class="col-4">Popular</label>
                            <input type="checkbox" name="popular" id="popular-edit-input" />
                        </div>
                        <div class="row my-2">
                            <label for="trending-edit-input" class="col-4">Trending</label>
                            <input type="checkbox" name="trending" id="trending-edit-input" />
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" id="edit-a-couse-btn">Edit</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>


    <!--Modal Delete-->
    <div class="modal" tabindex="-1" role="dialog" id="delete-course-modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Delete</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <span>This user will be permenantly deleted?</span>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" id="delete-a-couse-btn">Yes</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                </div>
            </div>
        </div>
    </div>


</body>
<script src="admin.js"></script>

</html>